import java.util.*;

public class SystemProperty{
	static void print(String s){
		System.out.println(s);
	}

	public static void main(String ... args){
		/*示范了如何获取系统的属性*/

		String s=System.getProperty("java.home");
		print("java.home="+s);

		s=System.getProperty("os.name");
		print("os.name="+s);

		s=System.getProperty("java.class.path");
		print("java.class.path="+s);

		Properties p=System.getProperties();
		p.list(System.out);//遍历输出所有的系统属性

		print("##############");
			/*示范了如何获取系统的环境变量*/
		//获得全部的系统环境变量
		Map<String,String> map=System.getenv();
		Set<String> keys=map.keySet();

		for(String key:keys){//遍历输出环境变量
			print(key+"="+(String)map.get(key));
		}
	}
}
